cassandra-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mokkapati, Bhargav (Nokia - IN/Chennai)" <bhargav.mokkap...@nokia.com>
Subject Cassandra Upgrade and Driver compatibility
Date Fri, 22 Dec 2017 02:47:20 GMT
Hi All,

We are planning to upgrade the Apache Cassandra and CPP driver as below.

Cassandra service version :
Old  -  cassandra-3.0.6-1.noarch.rpm
New - cassandra-3.0.13-1.noarch.rpm

Cassandra driver version :
Old  - cassandra-cpp-driver-2.4.3-1.el7.centos.x86_64.rpm
New - cassandra-cpp-driver-2.6.0-1.el7.centos.x86_64.rpm

We need a confirmation on below combinations of compatibility.


  1.  if we upgrade to Cassandra 3.0.13 version and continue with old CPP driver "cassandra-cpp-driver-2.4.3-1.el7.centos.x86_64.rpm"

does this combination works? Is there any incompatibility?

  1.  Vice versa to case1, if we continue with old Cassandra 3.0.6 version and  upgraded only
CPP driver to "cassandra-cpp-driver-2.6.0-1.el7.centos.x86_64.rpm "

does this combination works? Is there any incompatibility?

Also, please suggest what is the most stable version of Apache Cassandra later to 3.0.13 ?

Thanks in advance..

Best Regards,
Bhargav







Mime
View raw message